## python-expyriment 0.7.0+git34

=== documentation/api/Makefile ===
html:
	mkdir -p _build
	python create_api_reference.py
	mv *.html _build
	rm *.pyc -f

clean:
	rm -rf _build

=== documentation/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)
	rm -f expyriment.*
	rm -f Changelog.rst

rst:
	@make expyriment.rst

expyriment.rst:
	ln -fs ../../expyriment/ ./
	./create_rst_api_reference.py
	rm -f expyriment

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Expyriment.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Expyriment.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Expyriment"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Expyriment"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: 
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-expyriment 0.7.0%2Bgit34-g55a4e7e

=== debian/control ===
Source: python-expyriment
Section: science
Priority: optional
Maintainer: Oliver Lindemann <oliver.lindemann@uni-potsdam.de>
Build-Depends: debhelper (>= 9.0.0), dh-python, python-all, python-sphinx, python-pygame (>= 1.9.1~), python-opengl (>= 3.0.0), texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-generic-extra, help2man, latexmk
Standards-Version: 3.9.5
Homepage: http://www.expyriment.org
Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-expyriment.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/python-expyriment.git

Package: python-expyriment
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-pygame (>= 1.9.1~), python-opengl (>= 3.0.0), fonts-freefont-ttf, libjs-jquery, libjs-underscore
Recommends: python-serial (>= 2.5~), python-numpy (>= 1.3.0~)
Suggests: python-parallel (>= 0.2), python-pyxid
Description: Python library for cognitive and neuroscientific experiments
 Expyriment is a light-weight Python library for designing and conducting
 timing-critical behavioural and neuroimaging experiments. The major goal is
 to provide a well-structured Python library for a script-based experiment
 development with a high priority on the readability of the resulting
 programme code. Due to the availability of an Android runtime environment,
 Expyriment is also suitable for the development of experiments running on
 tablet PCs or smart-phones.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CLI_SCRIPT=bin/expyriment-cli

override_dh_auto_build: $(CLI_SCRIPT) manpage
	make --directory=documentation/sphinx rst html latexpdf
	#make --directory=documentation/api html
	rm -f documentation/sphinx/_build/html/_static/jquery.js 
	rm -f documentation/sphinx/_build/html/_static/underscore.js
	dh_auto_build

override_dh_install:
	dh_install

override_dh_clean:
	make --directory=documentation/sphinx clean
	make --directory=documentation/api clean
	rm -rf bin man
	rm documentation/api/_build -rf
	dh_clean

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.md

override_dh_compress:
	dh_compress -X.py -X.pdf

$(CLI_SCRIPT):
	mkdir -p bin
	echo "#!/bin/sh" > $(CLI_SCRIPT)
	echo "set -e" >> $(CLI_SCRIPT)
	echo -n "python -m expyriment.cli \$$* |" >> $(CLI_SCRIPT) 
	echo "sed 's/ python -m expyriment.cli / expyriment-cli /g'" >> $(CLI_SCRIPT)
	chmod 755 $(CLI_SCRIPT)

manpage: $(CLI_SCRIPT)
	mkdir -p man
	help2man --no-info --name="command line interface for Expyriment, a Python library for cognitive and neuroscientific experiments" $(CLI_SCRIPT) > man/expyriment-cli.1

%:
	dh $@ --with python2

## python-expyriment 0.7.0+git34-g55a4e7e

=== debian/changelog ===
python-expyriment (0.7.0+git34-g55a4e7e-3~nd12.04+1) precise; urgency=low

  * Backported for precise.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 10 Apr 2014 23:29:43 -0400

python-expyriment (0.7.0+git34-g55a4e7e-3) unstable; urgency=medium

  [ Oliver Lindemann ]
  * debian/rules
    - Explicitly specify to dh to use dh_python2
    - do not compress .pdf
  * Point doc-base to .html files only

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Apr 2014 09:47:34 -0400

python-expyriment (0.7.0+git34-g55a4e7e-2) unstable; urgency=low

  * Add list of exclusions for git
  * Add doc-base support
  * Add watch file for uscan
  * Use the correct URLs for the Vcs-* fields (as per Debian Policy 5.6.26)
  * Override the Lintian warning about package section
  * add: upstream/metadata
  * update doc-base

 -- Oliver Lindemann <oliver.lindemann@uni-potsdam.de>  Wed, 02 Apr 2014 19:12:55 +0200

python-expyriment (0.7.0+git34-g55a4e7e-1) unstable; urgency=low

  * Initial release 
  * Bugfix build dependencies
  * Switch to dpkg-source 3.0 (quilt) format
  * include man page
  * fix changelog
  * HTML Documentation depends on libjs-sphinxdoc
  * (Closes: #742639)

 -- Oliver Lindemann <oliver.lindemann@uni-potsdam.de>  Wed, 26 Mar 2014 14:35:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-expyriment
 Section: science
 Priority: optional
-Maintainer: Oliver Lindemann <oliver.lindemann@uni-potsdam.de>
-Build-Depends: debhelper (>= 9.0.0), dh-python, python-all, python-sphinx, python-pygame (>= 1.9.1~), python-opengl (>= 3.0.0), texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texlive-generic-extra, help2man, latexmk
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Oliver Lindemann <oliver.lindemann@uni-potsdam.de>
+Build-Depends: debhelper (>= 9.0.0), python-support, python-all, python-sphinx, python-pygame (>= 1.9.1~), python-opengl (>= 3.0.0), texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, help2man
 Standards-Version: 3.9.5
 Homepage: http://www.expyriment.org
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/python-expyriment.git
@@ -10,7 +11,7 @@
 
 Package: python-expyriment
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-pygame (>= 1.9.1~), python-opengl (>= 3.0.0), fonts-freefont-ttf, libjs-jquery, libjs-underscore
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python (>= 2.6), python-support (>= 0.90.0), python-pygame (>= 1.9.1~),  python-opengl (>= 3.0.0), ttf-freefont, libjs-jquery, libjs-underscore
 Recommends: python-serial (>= 2.5~), python-numpy (>= 1.3.0~)
 Suggests: python-parallel (>= 0.2), python-pyxid
 Description: Python library for cognitive and neuroscientific experiments
